Bug 156646 - GPilot simply doesn't work right.
GPilot simply doesn't work right.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2005-05-02 16:58 EDT by Kyle Pointer
Modified: 2007-11-30 17:11 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 18:17:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Pointer 2005-05-02 16:58:36 EDT
Description of problem:
I start by adding gnome-pilot to the gnome panel. Then it starts the setup
druid. I do all the steps, adding /dev/ttyUSB1 ( my palm device ) as the main
device. Then everything goes fine, until initial sync. Then it just stops. 
It doesn't lock up, but it won't sync or go any further. The Palm will say it
has synced but, its like a really short sync and you can tell nothing happens. 
Also, if gpilotd is running when I try to use the sync button on the Pilot Dock,
it will try to sync, but instead of working I get a, "GPilot has crashed....
Inform developer or quit." ( something like that ).
Any ideas why that happens?


Version-Release number of selected component (if applicable):
Sorry I can't remember, but its the latest version in FC4T2 as of May 1. 

How reproducible:
Try do follow the above steps in Fedora Core 4 Test 2 ( up2date as of May 1 ).
Comment 1 David Costanzo 2005-05-05 12:35:42 EDT
I have the same problem.  I am using a Palm V over /dev/ttyS0.

jpilot works for me, so there's nothing wrong with my Palm or the connection. 
After using jpilot, I went back to gnome-pilot.  It no longer uses the druid,
but it still acts like nothing happens when I press the HotSync button.  For
example, if I go to Pilots->Add then click "Get from pilot".  This pops up a
dialog asking you to press the "HotSync" button on the cradle.  Then I press the
HotSync button and the Palm V acts like the synchronization completed, but the
gnome-pilot dialog does not diappear or give any indication that I pressed the
HotSync button.

I think this is the same as bug #112664.

This may also be the same as bug #144388, but I don't know what to put into
/usr/share/gnome-pilot/devices.xml for Palm V.  If the root of the problem is
that my device is not in the devices.xml file, I would at least expect some
indication of an error from gnome-pilot.

Kyle, I recommend changing the summary of the bug to be more
descriptive--something like "gnome-pilot doesn't sync with pilot -- acts like
nothing happened when HotSync is pressed".  Also, I recommend changing the
Severity to High, since this makes the application completely unusable.
Comment 2 Dave Malcolm 2005-05-12 00:09:04 EDT
Thanks for the bug report.  Please can you try to get a stack trace of the
crashed gpilotd.

Please see http://fedoraproject.org/wiki/StackTraces for more information about
getting a useful stack trace.
Comment 3 Kyle Pointer 2005-05-12 07:55:19 EDT
Here's the output of GDB for gpilotd-control-applet if I run it.
(gdb) file gpilotd-control-applet
Reading symbols from /usr/bin/gpilotd-control-applet...Reading symbols from
/usr/lib/debug/usr/bin/gpilotd-control-applet.debug...done.
done.
(gdb) run
Starting program: /usr/bin/gpilotd-control-applet
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xdd3000
[Thread debugging using libthread_db enabled]
[New Thread -1208248640 (LWP 12954)]
** Message: No pilot userid/username information located
** Message: Unable to load pilot id/username, assuming unset
** Message: No pilot cradle information located
** Message: Unable to load pilot cradle info, assuming unset
gpilotd-Message: Activating object OAFIID:GNOME_Pilot_Daemon
** Message: No pilot userid/username information located
** Message: Unable to load pilot id/username, assuming unset
** Message: No pilot cradle information located
** Message: Unable to load pilot cradle info, assuming unset
** Message: No pilot userid/username information located
** Message: Unable to load pilot id/username, assuming unset
** Message: No pilot cradle information located
** Message: Unable to load pilot cradle info, assuming unset

That starts to configure it, but stops at initial sync. 

And here is if i run gpilot manually from /usr/libexec/gpilotd the output is this.

(gdb) file /usr/libexec/gpilotd
Reading symbols from /usr/libexec/gpilotd...Reading symbols from
/usr/lib/debug/usr/libexec/gpilotd.debug...done.
Using host libthread_db library "/lib/libthread_db.so.1".
done.
(gdb) run
Starting program: /usr/libexec/gpilotd
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xcb2000
[Thread debugging using libthread_db enabled]
[New Thread -1208801600 (LWP 13306)]
gpilotd-Message: gnome-pilot 2.0.13 starting...
gpilotd-Message: compiled for pilot-link version 0.12.0-pre2
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network]
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (/dev/ttyUSB1)
gpilotd-Message: Found 4766, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0502, 0736
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 091e, 0004
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0100
gpilotd-Message: Using net FALSE
gpilotd-Message: Found 082d, 0200
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 082d, 0300
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0c88, 0021
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0002
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0003
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0020
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0031
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0040
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0050
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0060
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0061
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0070
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 0830, 0080
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 8001
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 04e8, 6601
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0038
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0066
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0095
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 009a
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00c9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00da
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 00e9
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0144
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 054c, 0169
gpilotd-Message: Using net TRUE
gpilotd-Message: Found 12ef, 0100
gpilotd-Message: Using net TRUE
gpilotd-Message: setting PILOTRATE=57600

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208801600 (LWP 13306)]
0x026989e8 in pi_listen () from /usr/lib/libpisock.so.9

The segfault happens when I try to sync my palm.
Hope that helps. :)

( lol I noticed today that my Summary is the exact summary that they suggest not
to use ) 
Comment 4 Kyle Pointer 2005-05-12 07:58:20 EDT
If you were looking for thread apply all bt then it gpilotd came up with, 

Thread 1 (Thread -1208801600 (LWP 13306)):
#0  0x026989e8 in pi_listen () from /usr/lib/libpisock.so.9
#1  0x0804cf4d in sync_device (device=0x8e332a0, context=0x8e33240)
    at gpilotd.c:175
#2  0x0804e2f0 in visor_devices_timeout (data=0x8e33240) at gpilotd.c:913
#3  0x00288f06 in g_main_context_wakeup () from /usr/lib/libglib-2.0.so.0
#4  0x002873ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#5  0x0028a3f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#6  0x0028a8d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#7  0x0804ecdb in main (argc=1, argv=0xbfa64ad4) at gpilotd.c:1093
Comment 5 Gilboa Davara 2005-06-19 08:13:04 EDT
Adding my trace to the list. (Initial sync)
FC4/x86-64.

Backtrace was generated from '/usr/libexec/gpilotd'

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912496383584 (LWP 2455)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00000037e630bf45 in waitpid () from /lib64/libpthread.so.0
#0  0x00000037e630bf45 in waitpid () from /lib64/libpthread.so.0
#1  0x000000369e24f15c in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x00000037ed62518a in pi_listen () from /usr/lib64/libpisock.so.9
#4  0x00007fffffc8eff8 in ?? ()
#5  0x00000000005b04b0 in ?? ()
#6  0x00007fffffc8f000 in ?? ()
#7  0x00000037e541cd39 in iconv () from /lib64/libc.so.6
#8  0x00000037e8011182 in g_convert_with_iconv ()
   from /usr/lib64/libglib-2.0.so.0
#9  0x000000369c83ffa2 in _XEventsQueued () from /usr/X11R6/lib64/libX11.so.6
#10 0x00000037e80264f0 in g_main_context_wakeup ()
   from /usr/lib64/libglib-2.0.so.0
#11 0x00000037e802499e in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#12 0x00000037e8027644 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#13 0x00000037e8027cef in g_main_context_iteration ()
   from /usr/lib64/libglib-2.0.so.0
#14 0x0000000000407eb9 in main ()

Thread 1 (Thread 46912496383584 (LWP 2455)):
#0  0x00000037e630bf45 in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x000000369e24f15c in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00000037ed62518a in pi_listen () from /usr/lib64/libpisock.so.9
No symbol table info available.
#4  0x00007fffffc8eff8 in ?? ()
No symbol table info available.
#5  0x00000000005b04b0 in ?? ()
No symbol table info available.
#6  0x00007fffffc8f000 in ?? ()
No symbol table info available.
#7  0x00000037e541cd39 in iconv () from /lib64/libc.so.6
No symbol table info available.
#8  0x00000037e8011182 in g_convert_with_iconv ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#9  0x000000369c83ffa2 in _XEventsQueued () from /usr/X11R6/lib64/libX11.so.6
No symbol table info available.
#10 0x00000037e80264f0 in g_main_context_wakeup ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#11 0x00000037e802499e in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#12 0x00000037e8027644 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#13 0x00000037e8027cef in g_main_context_iteration ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#14 0x0000000000407eb9 in main ()
No symbol table info available.

Gilboa
Comment 6 Gilboa Davara 2005-06-19 08:14:01 EDT
(Sorry for not posting the trace as attachment... Me a bit drowsy...)
Comment 7 Kyle Pointer 2005-06-21 13:48:59 EDT
What work is being done on this bug to fix it?! 
It has been here since FC4test1!!!
Thats just not sexy. 
I want to use my palm pilot. :-(
Comment 8 Dave Malcolm 2005-06-21 20:06:23 EDT
I've reproduced the crash on my machine.

It's crashing here in 
#0  0x0028e9e8 in pi_listen (pi_sd=1, backlog=1) at socket.c:1163
1163            return ps->device->listen (ps, backlog);

ps->device is NULL, so it's reading through a NULL pointer.

Am continuing to investigate...
Comment 9 Dave Malcolm 2005-06-21 20:30:19 EDT
Device gets properly constructed and set up by pi_devsocket, but gets NULLed by
error handling from pi_bind; last_error = -502
Comment 10 Dave Malcolm 2005-06-21 20:41:36 EDT
pi_serial_bind is failing to open tty ("/udev/pilot") here in unixserial.c:
170             if ((fd = open(tty, O_RDWR | O_NONBLOCK)) < 0) {
171                     ps->last_error = PI_ERR_GENERIC_SYSTEM;
172                     return PI_ERR_GENERIC_SYSTEM;   /* errno already set */
173             }
which causes the error
Comment 11 Dave Malcolm 2005-06-22 12:11:45 EDT
I can reproduce this problem on a USB device (specifically, a Tungsten E)

Is this problem being seen with serial devices?
Comment 12 Kyle Pointer 2005-06-22 13:58:50 EDT
Wouldn't it act the same with a Serial device and a USB device? 
Because the kernel uses a "Serial Converter" to convert the USB to Serial so it
can be used this way. 

This happens with my old sony clie, and my new LifeDrive. 

Comment 13 Kyle Pointer 2005-06-22 14:09:54 EDT
Sorry, just in case that last comment wasn't clear, the kernel has in its config,
Main > Device Drivers > USB Devices > Serial Converter > ( modules for stuff
like palm pilots ) 
I think the kernel uses some code to make the computer think that the USB device
is a Serial device so it can interface with the palm pilot software on the
computer. 

And I think it should be noted, that both my Sony Clie' and my LifeDrive will
have gpilot end up with the same bug. 
Comment 14 Peter Gale 2005-06-22 23:30:01 EDT
(In reply to comment #0)
> Description of problem:
> I start by adding gnome-pilot to the gnome panel. Then it starts the setup
> druid. 
....
> How reproducible:
> Try do follow the above steps in Fedora Core 4 Test 2 ( up2date as of May 1 ).

I get the same thing with the released versino of FC4 and syncing a Palm Treo
650 with USB. It worked just fine with FC3 and I don't know what changes were
made to gpilotd for FC4. It all stops with the following entry in /var/log/messages:

Jun 23 11:42:52 chaski kernel: visor ttyUSB1: Handspring Visor / Palm OS
converter now disconnected from ttyUSB1
Comment 15 Gilboa Davara 2005-06-23 01:09:01 EDT
Same here.
Tungsten T3 over USB.
Works fine under FC3. (2.6.11-1.14_FC3smp)
Comment 16 Dave Malcolm 2005-06-23 20:35:28 EDT
Unfortunately, gpilotd currently crashes if it can't open the pilot device.  I
have a patch that stops this, though it's not much help because with the patch
it silently fails, giving no indication of what went wrong.

There appear to have been numerous changes to udev between FC3 and FC4.  I found
that I needed to reconfigure gnome pilot to use a different device, and hack
/etc/udev/50-udev.rules to ensure that my user account could access the device.
 The resulting devices (/dev/ttyUSB0 and /dev/ttyUSB1) only exist whilst a
hotsync is being performed.

If you run hal-device-manager whilst doing a hotsync it should show you the USB
serial devices when you do a hotsync on the PDA.

My current status with this is that I can get my Tungsten E to think it's
succesfully done a hotsync (setting the device as /dev/ttyUSB1), without gpilotd
crashing, though no actually syncing appears to be taking place.  I'll
investigate further tomorrow.

Please can everyone run hal-device-manager and investigate your udev and gpilotd
settings and check whether they need updating for FC4.  Thanks.
Comment 17 Gilboa Davara 2005-06-24 10:13:40 EDT
Ummm.... my gpilotd is pointed at /dev/ttyUSB1, my user (gilboa) is a member of
the uucp group, hal-device-manager shows my PDA connected to /dev/ttyUSB1 with
root:uucp/0660 permissions.
As far as I could see, gpilot should work just fine.

BTW, pilot-xfer seems to work just fine with the same configuration.
Comment 18 Per Thomas Jahr 2005-07-07 16:58:45 EDT
Can't get my Handspring Visor to work either with FC4. I've also tried to 
upgrade the pilot packages to rawhide packages:

# rpm -qa | grep pilot
pilot-link-0.12.0-0.pre4.2
jpilot-0.99.8-0.pre9.fc4.1
gnome-pilot-conduits-2.0.13-1
gnome-pilot-2.0.13-6.fc5

Same results on both 2.6.9-1.724 and latest 2.6.12.1 kernel.

This is what gpilotd says after I press the hotsync button:

$ /usr/libexec/gpilotd --oaf-activate-iid=OAFIID:GNOME_Pilot_Daemon
...
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2992): gpilotd-WARNING **: En feil oppstod under henting av pilot 
brukers data (thats norweigan; an error occured during fetching of user data 
from pilot)
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: Success

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: Success

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: corba: get_user_info(cradle=Cradle,survival=0,timeout=0)
gpilotd-Message: assigned handle num 19
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: Success

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: corba: get_system_info(cradle=Cradle,survival=0,timeout=0)
gpilotd-Message: assigned handle num 20
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: Success

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs
gpilotd-Message: setting PILOTRATE=57600

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: Success

(gpilotd:2992): gpilotd-WARNING **: pi_accept_to: timeout was 2 secs

The /dev/pilot device seems to be ok:
# ll /dev/pilot
lrwxrwxrwx  1 root root 12 jul  7 22:32 /dev/pilot -> /dev/ttyUSB1

# ll /dev/ttyUSB*
crw-rw----  1 root uucp 188, 0 jul  7 22:55 /dev/ttyUSB0
crw-rw----  1 root uucp 188, 1 jul  7 22:55 /dev/ttyUSB1

And I'm a member of the uucp group:

# groups perja
perja : perja uucp

# dmesg
usb 1-2.3: new full speed USB device using address 11
usb 1-2.3: Handspring Visor / Palm OS: port 1, is for Generic use
usb 1-2.3: Handspring Visor / Palm OS: port 2, is for HotSync use
usb 1-2.3: Handspring Visor / Palm OS: Number of ports: 2
visor 1-2.3:1.0: Handspring Visor / Palm OS converter detected
usb 1-2.3: Handspring Visor / Palm OS converter now attached to ttyUSB0
usb 1-2.3: Handspring Visor / Palm OS converter now attached to ttyUSB1

Syncing my Visor worked fine with FC3.
Comment 19 Joe E. 2005-07-13 15:34:18 EDT
Today's the big day!!! When I spend an afternoon backing down to FC3.  :(  
Seriously though, FC4 isn't worth much if handheld sync with Evolution doesn't
work.  Luckily I still have my FC3 disks.  Wish me luck!
Comment 20 Steve Milton 2005-08-01 12:12:52 EDT
I upgraded to the gpilotd version in TESTING, and it is working better.  I can
synch the calendar with Evolution, but not contacts.
Comment 21 Gilboa Davara 2005-09-09 05:13:23 EDT
Steve,

Can you post the gnome-pilot* and pilot-link* RPM versions?
While pilot-xfer works just fine, when I try to use gpilot, the Palm starts to
sync and quits immediately.
Comment 22 Garry T. Williams 2005-09-18 16:10:46 EDT
I have same symptom -- "when I try to use gpilot, the Palm starts to sync and
quits immediately".

My Palm Pilot is serial device.  I use USB->serial on /dev/ttyUSB0 .

$ dmesg
...
usb 3-1: new full speed USB device using uhci_hcd and address 7
pl2303 3-1:1.0: PL-2303 converter detected
usb 3-1: PL-2303 converter now attached to ttyUSB0

$ ls -l /dev/ttyUSB0
crw-------  1 garry garry 188, 0 Sep 18 16:10 /dev/ttyUSB0

$ rpm -qa|grep pilot
pilot-link-0.12.0-0.pre4.0.fc4.2
gnome-pilot-conduits-2.0.13-2
gnome-pilot-2.0.13-4
pilot-link-devel-0.12.0-0.pre4.0.fc4.2
gnome-pilot-devel-2.0.13-2
Comment 23 Steve Milton 2005-09-27 16:36:32 EDT
gnome-pilot-devel-2.0.13-5.fc4
gnome-pilot-2.0.13-5.fc4
gnome-pilot-conduits-2.0.13-1
pilot-link-0.12.0-0.pre4.0.fc4.2
pilot-link-devel-0.12.0-0.pre4.0.fc4.2
Comment 24 Gilboa Davara 2005-09-28 04:34:24 EDT
I'm using the RPM from http://zeniv.linux.org.uk/pub/people/mark_adams/ and they
seem to work just fine.
Hopefully *hint hint* someone in FC will merge Mark G. Adams' work into the main
trunk, and fix the pilot bug.

RPM versions:
evolution-data-server-1.2.3-3.fc4
evolution-2.2.3-2.fc4
gnome-pilot-2.0.13-4
gnome-pilot-conduits-2.0.13-2
pilot-link-0.12.0-0.pre4.0.fc4.2
Comment 25 Kyle Pointer 2005-09-28 07:51:58 EDT
Yes.. We really should do something, even if it involves downgrading a package
or two, or using packages someone else mae, because a package from someone else
is better than a package that doesn't work! And having GPilot not work is
getting old... :\
Comment 26 Garry T. Williams 2005-10-01 11:19:52 EDT
(In reply to comment #22)
> I have same symptom -- "when I try to use gpilot, the Palm starts to sync and
> quits immediately".

[snip]

> $ rpm -qa|grep pilot
> pilot-link-0.12.0-0.pre4.0.fc4.2
> gnome-pilot-conduits-2.0.13-2
> gnome-pilot-2.0.13-4
> pilot-link-devel-0.12.0-0.pre4.0.fc4.2
> gnome-pilot-devel-2.0.13-2


My problem was actually fixed with the above packages.  All now works as
expected.  I believe I installed these through up2date and never bounced
everything before trying again.

Sorry for the false alarm.
Comment 27 Gilboa Davara 2006-03-21 05:36:32 EST
Still doesn't seem to work in FC5.

Just lovely... plain lovely.
Comment 29 Matthew Barnes 2006-07-31 10:44:39 EDT
Is this bug still present in the latest Rawhide release?

evolution-2.7.4-3
gnome-pilot-2.0.13-13.1
gnome-pilot-conduits-2.0.13-6.1
Comment 30 Matthew Barnes 2006-12-16 18:17:36 EST
Closing this bug report due to lack of updates.  Feel free to re-open this if
the problem still exists in the current Rawhide packages:

evolution-2.9.3-3.fc7
gnome-pilot-2.0.15-3.fc7
gnome-pilot-conduits-2.0.15-2.fc7

Note You need to log in before you can comment on or make changes to this bug.